Bug 134441 - fscontext=system_u:object_r:removable_t in fstab entries preventing mounting by nonroot
fscontext=system_u:object_r:removable_t in fstab entries preventing mounting...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-02 15:39 EDT by Jef Spaleta
Modified: 2013-03-05 22:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-10 20:17:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2004-10-02 15:39:50 EDT
Description of problem:
plugin my usbstick
shows up in gnome's My Computer
but is unmountable by gnome user

remove the fscontext=  argument from the fstab entry and it is now
mountable by non-root user

Version-Release number of selected component (if applicable):
hal-0.2.98.cvs20040929-3

How reproducible:
everytime

Steps to Reproduce:
1. plug in device
2. try to mount it via Gnome My computer without success
3. mount it as root on commnadline with success
4. Edit fstab entry and remove the fcontext argument
5. mount it as non-root in gnome with success.  


Expected results:
shouldnt need to edit the fstab....


Additional info:
fstab entry that only works with root user as created by hal
/dev/sda1  /media/usbdisk  vfat noauto,user,exec,managed,
fscontext=system_u:object_r:removable_t,noatime,sync 0 0

-jef
Comment 1 Jef Spaleta 2004-10-04 20:47:41 EDT
Sigh... after a reboot I'm no longer able to reproduce this problem.
I'm going to close this out as notabug.

-jef

Note You need to log in before you can comment on or make changes to this bug.